Page MenuHomePhabricator

Migrate mediawiki-core-code-coverage job to labs
Closed, ResolvedPublic

Description

This job still runs on gallium. It's also quite slow. Switching it to labs and running it on Trusty with HHVM will speed it up quite significantly as well.

We'll need a way to publish to integration.wikimedia.org in addition to the current doc.wikimedia.org publisher. I don't think we'd need a new publishing tunnel, we can amend the existing one with slightly larger path abstraction to allow hitting either doc.wikimedia.org/:project/:version or integration.wikimedia.org/cover/:project.

See also:

Event Timeline

Krinkle created this task.Mar 23 2015, 6:18 AM
Krinkle raised the priority of this task from to Normal.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: hashar, Aklapper, Krinkle.
hashar claimed this task.Jul 16 2015, 3:13 PM
hashar moved this task from Backlog to In-progress on the Continuous-Integration-Infrastructure board.

Change 225063 had a related patch set uploaded (by Hashar):
Migrate mediawiki-core-code-coverage job to labs

https://gerrit.wikimedia.org/r/225063

I have refreshed the job it now runs on labs albeit the run time went from 1 hour to 2 hours, it is not really a problem for a coverage report.

Keeping the bug open to further monitor the result. Will close later on if all went well.

Change 225063 merged by jenkins-bot:
Migrate mediawiki-core-code-coverage job to labs

https://gerrit.wikimedia.org/r/225063

hashar closed this task as Resolved.Jul 21 2015, 9:37 PM